# Uses of Interface
org.eclipse.draw2d.CoordinateListener

Packages that use CoordinateListener
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of CoordinateListener in org.eclipse.draw2d

Methods in org.eclipse.draw2d with parameters of type CoordinateListener
Modifier and Type
Method
Description
`void`
Figure.`addCoordinateListener(CoordinateListener listener)`
`void`
IFigure.`addCoordinateListener(CoordinateListener listener)`
Registers the given listener as a CoordinateListener of this figure.
`void`
Figure.`removeCoordinateListener(CoordinateListener listener)`
`void`
IFigure.`removeCoordinateListener(CoordinateListener listener)`
Unregisters the given listener, so that it will no longer receive notification of coordinate changes.